<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DownloadValidationError StructType
 * @subpackage Structs
 */
class DownloadValidationError extends AbstractStructBase
{
    /**
     * The ErrorMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ErrorMessage;
    /**
     * The Input
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \CustomerManagement\StructType\PanelSettingInput
     */
    public $Input;
    /**
     * Constructor method for DownloadValidationError
     * @uses DownloadValidationError::setErrorMessage()
     * @uses DownloadValidationError::setInput()
     * @param string $errorMessage
     * @param \CustomerManagement\StructType\PanelSettingInput $input
     */
    public function __construct($errorMessage = null, \CustomerManagement\StructType\PanelSettingInput $input = null)
    {
        $this
            ->setErrorMessage($errorMessage)
            ->setInput($input);
    }
    /**
     * Get ErrorMessage value
     * @return string|null
     */
    public function getErrorMessage()
    {
        return $this->ErrorMessage;
    }
    /**
     * Set ErrorMessage value
     * @param string $errorMessage
     * @return \CustomerManagement\StructType\DownloadValidationError
     */
    public function setErrorMessage($errorMessage = null)
    {
        // validation for constraint: string
        if (!is_null($errorMessage) && !is_string($errorMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($errorMessage, true), gettype($errorMessage)), __LINE__);
        }
        $this->ErrorMessage = $errorMessage;
        return $this;
    }
    /**
     * Get Input value
     * @return \CustomerManagement\StructType\PanelSettingInput|null
     */
    public function getInput()
    {
        return $this->Input;
    }
    /**
     * Set Input value
     * @param \CustomerManagement\StructType\PanelSettingInput $input
     * @return \CustomerManagement\StructType\DownloadValidationError
     */
    public function setInput(\CustomerManagement\StructType\PanelSettingInput $input = null)
    {
        $this->Input = $input;
        return $this;
    }
}
